<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>PhotonDetectorConstructor Member List</h1>This is the complete list of members for <a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#afbefb3ee2dacb28cd5ed851cf8280337">applyVolumeCounter</a>(G4String &amp;physical_volume_name)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#a5231ee5aa1945c73a7fdadf4a43af34b">ConstructPhotonDetector</a>(G4double edge_length, G4VPhysicalVolume *mother_volume)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#af9c48d88c559bcf4c59254ba4d16cb41">ConstructPhotonDetector</a>(G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#a6e0c7d8f42b7cf80055b74d455bb9ff7">ConstructPhotonDetector</a>(G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#acaa08426f2012e0c8b3b1ab3ac269628">ConstructPhotonDetector</a>(G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#a2134c8082c51aa1bfde99cca4a6f9959">ConstructPhotonDetectors</a>(G4double edge_length, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#a703301cfe82616a2097ab9a2924ddead">ConstructPhotonDetectors</a>(G4double edge_length, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String photon_detector_name)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#adf5e5b86c30f23777ec19fb2407e8f9f">ConstructPhotonDetectors</a>(G4double edge_length, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#a94fbcaf554785185213fb012aa834430">ConstructPhotonDetectors</a>(G4double edge_length, G4VPhysicalVolume *mother_volume, G4int number_of_replications, G4Transform3D replication_transf, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference, G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#a49f8b5f26c6f08e487ea248aec326ad3">PhotonDetectorConstructor</a>(G4VModularPhysicsList *userPhysicsList, PropertyToolsManager *propertyTools, GODDeSS_DataStorage *dataStorage, G4bool searchOverlaps, int verbose=0)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#add4d0cb386e841a781a1787c613c50ab">SetDefaults</a>()</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#a81768f316837288f5790047cbbed5a2d">SetPhotonDetectorName</a>(G4String photon_detector_name)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#a95e3cbc2ac897e25fbe1d4b37002216d">SetPhotonDetectorReferenceVolume</a>(G4VPhysicalVolume *reference_volume)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#a2da07c4e592fae6e36ba85abc3471add">SetSensitiveSurfaceNormalRelativeToReferenceVolume</a>(G4ThreeVector sensitive_surface_normal_relative_to_reference)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#a1d70f974e3a925d5382bdf4c99a7d852">SetSensitiveSurfacePositionRelativeToReferenceVolume</a>(G4ThreeVector sensitive_surface_position_relative_to_reference)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [inline]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#aa03616d5c2380bf994625f05cab2620e">WriteEventIDToHitFile</a>(G4int eventID)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#ad765305b1c539dab010b9b08b5f36462">WriteRunIDToHitFile</a>(G4int runID)</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classPhotonDetectorConstructor.html#a0931e16066e38a0877cb0e0517086d37">~PhotonDetectorConstructor</a>()</td><td><a class="el" href="classPhotonDetectorConstructor.html">PhotonDetectorConstructor</a></td><td><code> [inline]</code></td></tr>
</table></div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
